#!/bin/sh
awk '
	/^#example/ {
		print "<p>"
		print "Example: " $2
		print "<br>"
		print "<DL>"
		print "<pre>"
		close($2)
		while((getline line < $2) > 0)
			print line
		close($2)
		print "</pre>"
		print "</DL>"
		next
	}
	/^#graph/ {
		name=$2
		sub(".pb", ".png", name)
		print "<br><img src=" name ">"
		next
	}
	/^#legend/ {
		print "<br><img src=legend.png>"
	}
	{ print $0 }
'
